--[[
	Target: todo
	More information: www.p2engine.com
	Main procedure: todo
	Uses the following subprocedure(s): "todo" and "todo"
	Classes: P2Project, P2Schedule and P2Tracking
	Last update: ToDo
--]]

function write_latex_tables()
--Activity	& Dur			& Cost		& Start			& Dur		& Cost			& Start\\

	nract=MySchedule:get_number_of_activities()
	for act=1,nract do
		io.write('\n',act)
		io.write('\t& ',ActName[act])
		duration=MySchedule:get_duration(act)
		io.write('\t& ',duration)
		io.write('\t& ',MySchedule:get_variable_cost(act)*duration)
		io.write('\t& ',MySchedule:get_start(act))
		io.write('\t& ',RealDurations[act])
		io.write('\t& ',RealCost[act])
		io.write('\t& ',RealStartTimes[act],'\\\\') --todo
	end
end

function write_baseline_schedule_information()
	io.write('\n\nWrite baseline schedule information')
	nract=MySchedule:get_number_of_activities()
	PD=MySchedule:get_project_pd()
	BAC=MySchedule:get_project_bac()
	SP,AD,LA,TF=MyGenerator:calculate_topological_structure()
	io.write('\nNumber of activities ',nract)
	SP = SP / 100
	AD = AD / 100
	LA = LA / 100
	TF = TF / 100
	io.write('\n\tSerial/Parallel indicator ',SP)
	io.write('\n\tActivity distribution ',AD)
	io.write('\n\tLength of Arcs ',LA)
	io.write('\n\tTopological Float ',TF)
	io.write('\nPlanned Duration ',PD)
	io.write('\nBudget At Completion ',BAC)
	io.write('\nActivity Start Times:')
	local PlannedStartTimes={}
	for act=1,nract do
		PlannedStartTimes[act]=MySchedule:get_start(act)
		io.write('\n\tActivity ',act,' starts at ',MySchedule:get_start(act))
		critical=MySchedule:get_critical_activity(act)
		if (critical==0) then
			io.write(' and is NOT critical')
		else
			io.write(' and is critical')
		end
	--	io.write('\t',ActName[act])
	end
	io.write('\n')
end

function write_baseline_and_progress_schedule()
	nract=MySchedule:get_number_of_activities()
	local RD=0
	local RAC=0
	for act=1,nract do
		start=MySchedule:get_start(act)
		duration=MySchedule:get_duration(act)
		io.write('\n',act,'\t',start,'\t',duration)
		io.write('\t',start+duration,'\t',MySchedule:get_critical_activity(act))
		io.write('\t',MySchedule:get_variable_cost(act))
	end
	io.write('\n\n')
	for act=1,nract do
		start=RealStartTimes[act]
		duration=RealDurations[act]
		cost=RealCost[act]
		RD=math.max(RD,start+duration)
		RAC=RAC+cost
		io.write('\n',act,'\t',start,'\t',duration)
		io.write('\t',RealStartTimes[act]+RealDurations[act],'\t',MySchedule:get_critical_activity(act))
		io.write('\t',MySchedule:get_variable_cost(act))
	end
	
	-- idem maar in een ander formaat
	for act=1,nract do
		start=MySchedule:get_start(act)
		duration=MySchedule:get_duration(act)
		io.write('\n',act,'\t',start,'\t',duration)
		io.write('\t',start+duration,'\t',MySchedule:get_critical_activity(act))
		io.write('\t',MySchedule:get_variable_cost(act))
		io.write('\n',act,'\t',RealStartTimes[act],'\t',RealDurations[act])
		io.write('\t',RealStartTimes[act]+RealDurations[act],'\t',MySchedule:get_critical_activity(act))
		io.write('\t',MySchedule:get_variable_cost(act))
	end
	io.write('\nReal Duration ',RD)
	io.write('\nReal Cost ',RAC)
end


function label_activities(projectID)
	ActName={}
	if projectID==1 then
		ActName[1]='Kick-off meeting                            '
		ActName[2]='Define database specifications              '
		ActName[3]='Define user interface specifications        '
		ActName[4]='Develop maintenance cost database           '
		ActName[5]='Develop improvement cost database           '
		ActName[6]='Develop production time database            '
		ActName[7]='Develop IT department user interface        '
		ActName[8]='Develop accounting department user interface'
		ActName[9]='Develop management user interface           '
		ActName[10]='Develop factory floor user interface       '
		ActName[11]='Database integration                       '
		ActName[12]='End user feedback IT department            '
		ActName[13]='End user feedback accounting department    '
		ActName[14]='End user feedback management               '
		ActName[15]='End user feedback factory floor            '
		ActName[16]='Full product integration                   '
		ActName[17]='Project evaluation                         '
	elseif projectID==2 then	
		ActName[1]='Staff needs survey                          '
		ActName[2]='ICT committee meeting                       '
		ActName[3]='Requirements study                          '
		ActName[4]='Request transport system supplier proposals '
		ActName[5]='Negotiate best transport system offer       '
		ActName[6]='Request database supplier proposals         '
		ActName[7]='Negotiate best database offer               '
		ActName[8]='Kick-off meeting with staff                 '
		ActName[9]='Installation of transport system            '
		ActName[10]='Installation of server                     '
		ActName[11]='PC training for nursing staff              '
		ActName[12]='Code list creation                         '
		ActName[13]='Filling the database                       '
		ActName[14]='Practical training for nursing staff       '
		ActName[15]='Final check                                '
		ActName[16]='Live pilot period                          '
		ActName[17]='Project evaluation                         '
	else
		ActName[1]='Demolition phase 1: roof & utilities'
		ActName[2]='Demolition phase 2: masonry & floor '
		ActName[3]='Structural work & sewage            '
		ActName[4]='Facade renovation                   '
		ActName[5]='Roofing                             '
		ActName[6]='Exterior joinery                    '
		ActName[7]='Electricity                         '
		ActName[8]='Plumbing                            '
		ActName[9]='Heating & ventilation               '
		ActName[10]='Floor insulation & screed          '
		ActName[11]='Plasterboard                       '
		ActName[12]='Devices & connections              '
		ActName[13]='Suspended ceiling                  '
		ActName[14]='Interior joinery                   '
		ActName[15]='Painting                           '
		ActName[16]='Linoleum flooring                  '
		ActName[17]='Furniture & cleanup                '
	end
end